Package org.apache.commons.io.filefilter

# Class PathMatcherFileFilter

java.lang.Object
org.apache.commons.io.filefilter.AbstractFileFilter
org.apache.commons.io.filefilter.PathMatcherFileFilter

All Implemented Interfaces:
  `FileFilter`, `FilenameFilter`, `FileVisitor<Path>`, `PathMatcher`, `PathFilter`, `PathVisitor`, `IOFileFilter`

public class PathMatcherFileFilter extends AbstractFileFilter
Delegates matching to a `PathMatcher`.

Since:
  2.14.0

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.io.filefilter.IOFileFilter

  `EMPTY_STRING_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathMatcherFileFilter(PathMatcher pathMatcher)`
  Constructs a new instance to perform matching with a PathMatcher.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(File file)`
  Checks to see if the File should be accepted by this filter.
  `boolean`
  `matches(Path path)`
  Tests if a Path should be accepted by this filter.

  ### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

  `accept, handle, postVisitDirectory, preVisitDirectory, toString, visitFile, visitFileFailed`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.filefilter.IOFileFilter

  `accept, and, negate, or`

- ## Constructor Details

  - ### PathMatcherFileFilter

    public PathMatcherFileFilter(PathMatcher pathMatcher)
    Constructs a new instance to perform matching with a PathMatcher.
    Parameters:
      `pathMatcher` - The PathMatcher delegate.

- ## Method Details

  - ### accept

    public boolean accept(File file)
    Description copied from class: `AbstractFileFilter`
    Checks to see if the File should be accepted by this filter.
    Specified by:
      `accept` in interface `FileFilter`
    Specified by:
      `accept` in interface `IOFileFilter`
    Overrides:
      `accept` in class `AbstractFileFilter`
    Parameters:
      `file` - the File to check
    Returns:
      true if this file matches the test

  - ### matches

    public boolean matches(Path path)
    Description copied from interface: `IOFileFilter`
    Tests if a Path should be accepted by this filter.
    Parameters:
      `path` - the Path to check.
    Returns:
      true if this path matches the test.